Members
Creates a new member
Create a new user and add to the team by providing ‘email’, ‘role’ and an optional list of RBAC groups.
POST
/
v1
/
config
/
members
Creates a new member
curl --request POST \
--url https://api.mezmo.com/v1/config/members \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "testemail@gmail.com",
"role": "member",
"groups": [
"<string>"
]
}
'import requests
url = "https://api.mezmo.com/v1/config/members"
payload = {
"email": "testemail@gmail.com",
"role": "member",
"groups": ["<string>"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'testemail@gmail.com', role: 'member', groups: ['<string>']})
};
fetch('https://api.mezmo.com/v1/config/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "testemail@gmail.com",
"role": "member",
"groups": [
"<string>"
]
}{
"error": "\"role\" is required",
"code": "BadRequest",
"status": "error"
}{
"code": "Conflict",
"error": "Admins can\\'t be assigned to any groups"
}Authorizations
AccessTokenservicekeyAuth
This key is used for all apis with the exception of ingest. You can obtain it following
these instructions and placing
the key in the header of your call in the format of Authorization: Token {accesstoken}
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
Body
application/json
Request parameters.
Response
A new member was created successfully! Entire memberResource is returned.
Was this page helpful?
Creates a new member

